AMPにおけるサポート終了のタグについて

Simplicityの特徴 フォーラム 不具合報告 AMPにおけるサポート終了のタグについて

このトピックには12件の返信が含まれ、2人の参加者がいます。2 ヶ月、 3 週間前わいひら わいひら さんが最後の更新を行いました。

  • 投稿者
    投稿
  • #49395

    ましゅー

    わいひら様、お世話になっております。

    Simplicityテーマを使用し、AMPを設定しているのですが、1月3日頃よりGoogle Search Consoleにて「AMP ページエラーを修正してください」というメッセージが表示され、以下のようなエラーメッセージが表示されましたのでお知らせいたします。

    「amp-facebook extension .js script」で必要なタグ「amp-facebook」がないか、正しくありません。これはまもなくエラーとなります。

    「amp-twitter extension .js script」で必要なタグ「amp-twitter」がないか、正しくありません。これはまもなくエラーとなります。

    「amp-analytics extension .js script」で必要なタグ「amp-analytics」がないか、正しくありません。これはまもなくエラーとなります。

    「amp-vine extension .js script」で必要なタグ「amp-vine」がないか、正しくありません。これはまもなくエラーとなります。

    「amp-youtube extension .js script」で必要なタグ「amp-youtube」がないか、正しくありません。これはまもなくエラーとなります。

    Search Consoleによると、重大度は「重要ではない問題」となっており、検索で確認して記事の順位が下がるといった影響は出ていませんが、エラーメッセージにもにもあるように、いずれ「エラー」として扱われる(現時点ではサポートされているタグだが、後にサポートされなくなる)とのことなので、改善していただけますと幸いです。

  • #49397

    みき

    調べてみました
    本当に終了するみたいですね

    詳しい記事は以下
    http://oosaka-web.jp/column/seo/161228/

  • #49405
    わいひら
    わいひら
    キーマスター

    どうやら、amp-twitterやamp-facebookタグを利用していないのに、スクリプトを読み込んだらダメになるっぽいですね。

    とりあえず、修正したものを当サイトにも適用してみました。
    また修正版は、以下になります。
    https://wp-simplicity.com/wp-content/uploads/2017/01/simplicity2.zip
    よかったら、試してみていただけると幸いです。

  • #49431

    ましゅー

    わいひら様

    素早い対応感謝いたします。

    ご紹介いただいた修正版の方試してみます。

  • #49791

    ましゅー

    立て続けの質問すみません。

    あれからGoogle Search Consoleを確認したところ、今度はAMPの別のエラーが出たので、そちらをご報告いたします。

    まずひとつ目ですが以下のエラーメッセージが表示されています

    HTML タグの禁止された用法、無効な用法

    ・タグ「span」の属性「id」に無効な値「AMP」が設定されています。

    エラーメッセージが出た記事:http://my-turbulence.com/simplicity

    もう一つが

    AMP タグの無効な用法

    ・「amp-youtube」で必要なタグ「amp-youtube extension .js script」がないか、正しくありません。

    ・「amp-twitter」で必要なタグ「amp-twitter extension .js script」がないか、正しくありません。

    ・「amp-instagram」で必要なタグ「amp-instagram extension .js script」がないか、正しくありません。

    とエラーが出てしまいました。

    いずれもGoogle Search Consoleの重大度が「致命的」となっております。

    お恥ずかしながら、AMPに関してはSimplicityに依存する形での利用となっているため、こちらで対処法がわかりません。引き続き、対応いただけましたら幸いです。

    なお、このトピックの最初の投稿(#49395)の回答として頂いた修正版のテーマのzipを適応させてみましたが、上記の2つのエラーを確認時にまだ改善されないままでした

    ※こちらは私の勘違いかもしれませんので、エラーが出ている記事を再度GSCでクロールリクエストして反応を確認してみます。

  • #49797
    わいひら
    わいひら
    キーマスター

    このページのエラーは、目次プラグインが、見出しなどに、以下のようにspanタグを付加するのが原因です。
    <h2><span id="AMP">AMPにも対応(※ただしβ版)</span></h2>

    どうやら、IDにAMPと使用してはダメなようです。

    これを解決するには、目次プラグインで、番号などでIDを付加するようにするとか(そういう機能があるかは知りません)しかないかも。

    今回ちょっとソースを見た限りでは、どうやら「見出し」から半角英数字を抽出してIDとしているようなので、見出しの文字列を「AMPにも対応(※ただしBeta版)」とかに変更することで、解決出来るかもしれません。

    こちらは、プラグインが原因によるものなので、テーマ側からは対応できないです。

    「amp-youtube」で必要なタグ「amp-youtube extension .js script」がないか、正しくありません。

    こちらのエラーは、実際のページを見てみないと、分からないです。

  • #49808

    ましゅー

    わいひら様

    お返事ありがとうございます。

    確認したらご指摘の通り id=”AMP” とありましたので、目次プラグイン(TOC+を使っています)の設定で「AMP」が含まれる見出しを非表示にするよう設定してみたところ、無事にAMPテストでパスする事ができました。ありがとうございます。

    もう一つのエラーですが、前回の投稿で問題が発生するページURLを記載し忘れてしまい申し訳ありません。

    主に以下のページにて発生しており、エラーメッセージによると、YouTubeやInstagram、Twitterの埋め込みコード(あるいはURL)を掲載したページが引っかかっているみたいです。

    ●「amp-youtube」で必要なタグ「amp-youtube extension .js script」がないか、正しくありません。
    ・http://my-turbulence.com/bikeribbon-carbonio
    ・http://my-turbulence.com/serfas-seca
    ・http://my-turbulence.com/cocacola-vs-pepsi-part2
    ・http://my-turbulence.com/pepsi-strong-5gv-campaign
    ・http://my-turbulence.com/cocacola-vs-pepsi
    ・http://my-turbulence.com/media-disturb-disaster-assistance

    ●「amp-twitter」で必要なタグ「amp-twitter extension .js script」がないか、正しくありません。
    ・http://my-turbulence.com/buzzword-2016
    ・http://my-turbulence.com/flakpanzer-4-mobelwagen-prototype
    ・http://my-turbulence.com/flakpanzer-4-ostwind
    ・http://my-turbulence.com/yagilog-deleted
    ・http://my-turbulence.com/media-disturb-disaster-assistance
    ・http://my-turbulence.com/convenience-store-part-time-job

    ●「amp-instagram」で必要なタグ「amp-instagram extension .js script」がないか、正しくありません。
    ・http://my-turbulence.com/sizuoka-rent-a-cycle
    ・http://my-turbulence.com/sizuoka-foods

  • #49837
    わいひら
    わいひら
    キーマスター

    Simplicityのバージョンが2.4.5のようです。
    http://my-turbulence.com/wp-content/themes/simplicity2/style.css

    その不具合に対応した最新版に、アップデートされていないからではないでしょうか。
    https://wp-simplicity.com/simplicity2-4-6/

  • #49860

    ましゅー

    わいひら様

    お返事ありがとうございます。

    昨日、私のブログのSimplicityテーマを確認したところ、ご指摘の通りバージョンが2.4.5だったので、最新版をインストールしました。

    その後、Google Search Consoleにて確認したところ、このトピックの最初の投稿にある「サポート終了のタグまたは属性の使用」のエラーが解消され、有効なAMPページとなりました。

    ただ、#49791および#49808にて記載しましたTwitter、You Tube、Instagramの埋め込み機能に関連したエラエラー『AMP タグの無効な用法』

    「amp-youtube」で必要なタグ「amp-youtube extension .js script」がないか、正しくありません。

    「amp-twitter」で必要なタグ「amp-twitter extension .js script」がないか、正しくありません。

    「amp-instagram」で必要なタグ「amp-instagram extension .js script」がないか、正しくありません

    については、現在も改善されていない状態にあります。

    以下にGoogle Search Consoleのテスト画面で表示された「この問題の詳細」URLを記載しますので、参考になりましたら幸いです。

    ・AMP You Tube
    https://www.ampproject.org/docs/reference/components/amp-youtube

    ・AMP Twitter
    https://www.ampproject.org/docs/reference/components/amp-twitter

    ・AMP Instagram
    https://www.ampproject.org/docs/reference/components/amp-instagram

  • #49869
    わいひら
    わいひら
    キーマスター

    YouTubeとTwitterとInstagramはどのように投稿に表示させていますか?
    例えばYouTubeとかだったら、動画ページの共有からiframeを取得して記事に挿入していますか?
    それとも他の方法(プラグイン)で、挿入しているところでしょうか。

  • #49885

    ましゅー

    お返事ありがとうございます。

    YouTube、Twitter、Instagramの表示ですが、いずれも該当ページのURLをWordPressのビジュアルエディターに直接貼り付ける方法で投稿しています。

    各種サービスが提供する埋め込みコードや、プラグイン等は使用してません。

  • #49895

    ましゅー

    お世話になっています。ましゅーです。

    Simplicityが2.4.7にバージョンアップされておりましたので、そちらを導入し、再度Google Search ConsoleでAMPテストを実行したところ、私のブログで16件確認されていた「AMP タグの無効な用法」エラーが全て解消され、「有効な AMP ページです」と表示されました。

    また、当トピックでは報告していない、私のブログで抱えていた以下のAMPエラーも全て無事に解決しました。

    ・HTML タグの禁止された用法、無効な用法(致命的)
    ・同等の AMP タグがある HTML タグの使用禁止(致命的)
    ・無効な CSS スタイルシート(致命的)
    ・ページにユーザー作成の JavaScript がある(致命的)
    ・AMP マークアップがない、または正しくない(致命的)

    これでブログで抱えていたAMPエラーが全て解消され、じきにAMPが有効化されると思われます。

    このたびは迅速な対応誠にありがとうございました。おかげで引き続きAMP機能を使用することが可能になりました。

    また何かありましたら報告いたしますので、その時はどうかよろしくお願いします。

  • #49903
    わいひら
    わいひら
    キーマスター

    動作確認ありがとうございます。
    こちらの方と同様の現象だったようですね。
    2.4.6にアップデート後、Youtubeやその他すべての動画がAMPで表示されなくなった

    とりあえず、不具合が解消されたようでよかったです。

トピック「AMPにおけるサポート終了のタグについて」への新規返信追加は締め切られています。

スポンサーリンク
アドセンス(大)
アドセンス(大)